Add additional required Perl module package for Arch
ClosedPublic

Authored by ngraham on Dec 24 2018, 1:10 AM.

Details

Summary

BUG: 402484

Test Plan

Delete perl-io-socket-ssl package and then re-run `kdesrc-build
--initial-setup`. See that it installs the pakcage.

Diff Detail

Repository
R365 kdesrc-build
Branch
fix-arch-first-run-package-list (branched from master)
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 6313
Build 6331: arc lint + arc unit
ngraham requested review of this revision.Dec 24 2018, 1:10 AM
ngraham created this revision.
mpyne accepted this revision.Dec 25 2018, 1:25 AM

This is perfect, you've already put more testing than I have been able to put for Arch. If you have future such fixes you can feel free to push, especially if already tested (I've only been able to test OpenSUSE up to this point).

This revision is now accepted and ready to land.Dec 25 2018, 1:25 AM

Thanks Michael!

Hmm, it appears that either I don't have permission to push to the repo, or else there's some commit hookscript that fails:

Landing revision 'D17768: Add additional required Perl module package for Arch'...
 BUILDS PASSED  Harbormaster builds for the active diff completed successfully.
 PUSHING  Pushing changes to "origin/master".
Enter passphrase for key '/home/nate/.ssh/id_rsa': 
Enumerating objects: 9, done.
Counting objects: 100% (9/9), done.
Delta compression using up to 4 threads
Compressing objects: 100% (4/4), done.
Writing objects: 100% (5/5), 625 bytes | 625.00 KiB/s, done.
Total 5 (delta 3), reused 0 (delta 0)
remote: FATAL: W refs/heads/master kdesrc-build ngraham DENIED by refs/.*
remote: error: hook declined to update refs/heads/master
To git.kde.org:kdesrc-build
 ! [remote rejected] b2a4081083baf36f463dc4466985c91d8a43d068 -> master (hook declined)
error: failed to push some refs to 'git@git.kde.org:kdesrc-build'
Usage Exception: Push failed! Fix the error and run "arc land" again.

I can't see what it might be though.

mpyne added a comment.Dec 26 2018, 1:25 AM

Probably because we're using kdesrc-build as a testcase for the Gitlab instance at invent.kde.org. I'll go ahead and push.

This revision was automatically updated to reflect the committed changes.